/**
 * IMPORTANT !
 * Décommenter temporairement la ligne suivante (import { } from "./mock_jasmine")
 * Pour exécuter ce code dans le débugger.
 * Faire de même avec le fichier ../structure/functions.ts
 */
// import { describe, expect, it, xdescribe } from "../mock_jasmine";

import { CloisonsFente, CloisonsFenteParams } from "../../src/cloisons/cloisons_fente";
import { StructureFlowMode, StructureFlowRegime } from "../../src/structure/structure";
import { itCalcQ } from "../structure/functions";

const prms: CloisonsFenteParams = new CloisonsFenteParams(0, 102, 0.5, 0.5, 0.2, 0.65);
const test: CloisonsFente = new CloisonsFente(prms, false);

describe("Class CloisonsFente: ", () => {
    describe("Calc(Q): ", () => {
        const h1: number[] = [102];
        const Q: number[] = [0.204];
        const mode: StructureFlowMode = StructureFlowMode.WEIR;
        const regime: StructureFlowRegime = StructureFlowRegime.SUBMERGED;
        for (let i = 0; i < Q.length; i++) {
            itCalcQ(test, h1[i], Infinity, Q[i], mode, regime);
        }
    });
});
