/**
 * IMPORTANT !
 * Décommenter temporairement la ligne suivante (import { } from "./mock_jasmine")
 * Pour exécuter ce code dans le débugger.
 * Faire de même avec le fichier ../structure/functions.ts
 */
// import { describe, expect, it, xdescribe } from "../mock_jasmine";

import { CloisonsOrifice, CloisonsOrificeParams } from "../../src/cloisons/cloisons_orifice";
import { StructureFlowMode, StructureFlowRegime } from "../../src/structure/structure";
import { itCalcQ } from "../structure/functions";

const prms: CloisonsOrificeParams = new CloisonsOrificeParams(0, 102, 0.5, 0.7, 0.1);
const test: CloisonsOrifice = new CloisonsOrifice(prms, false);

describe("Class CloisonsOrifice: ", () => {
    describe("Calc(Q): ", () => {
        const h1: number[] = [102];
        const Q: number[] = [0.219];
        const mode: StructureFlowMode = StructureFlowMode.ORIFICE;
        const regime: StructureFlowRegime = StructureFlowRegime.SUBMERGED;
        for (let i = 0; i < Q.length; i++) {
            itCalcQ(test, h1[i], Infinity, Q[i], mode, regime);
        }
    });
});
