export abstract class JalhydObject {

    /**
     * générateur d'id
     */
    private static _uidSequence: number = 0;

    /**
     * id numérique unique
     */
    private _uid: number;

    constructor() {
        this._uid = JalhydObject.nextUID;
    }

    public get uid(): number {
        return this._uid;
    }

    public static get nextUID(): number {
        const res = this._uidSequence;
        this._uidSequence++;
        return res;
    }
}
